@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  padding: 0;
  margin: 0;
  font-family: "Poppins", sans-serif;
}

body {
  min-height: 100vh;
}

/* Logo Alpadou de la Navbar ... */

.logo {
  display: flex;
  flex-direction: row;
  align-items: center;
  color: white;
  font-weight: 700;
}

.imgLogo{
  width: 25px;
  height: 30px;

}

/* .. end  */

/* NavBar ... */

.headerNavBar{
  padding: 0px;
  background-color: #BB523A;
}

.menuNavBar{
  background-color: #BB523A;
  color: #fff;
 }
 
 /* ... end  */

 /* sidebar ... */
.sideBar {
  max-width: 12%;
  height: 100vh;
  border-right: 1px solid #f0f0f0;
  background-color: white;
}

.sidebarMenu{
  border-right: 1px solid #f0f0f0;
  color: black;
}
/* ... end */

/* Section Alpadou Background Chien ... */

.bgIndex {
  background-image: url("../../public/imgindex.jpeg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 8%;
  width: 100%;
  height: 100%;
}


.indexsection {
  display: flex;
  height: 90vh;
  width: 100vw;
  text-align: center;
  justify-content: center;
}

.divTitle {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: rgb(255, 255, 255);
  height: 70vh;
  width: 100vw;
}

.title {
  font-size: 4rem;
  font-weight: 400;
}

/* .. fin de la section Alpadou  */

/* Section Acceuil ... */
.sectionAccueil {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  padding: 30px;
  width: 90%;
  height: auto;
  margin: 3% auto 0 auto;
  background-color: #80808012;
}

.sectionAccueil h2 {
  margin: 0;
  color: rgb(0, 0, 0);
  text-align: center;
  margin-bottom: 2%;
}
.sectionAccueil p {
  color: black;
}
.accueilDivBouton {
  display: flex;
  justify-content: center;
  margin: 1% auto;
}

.buttonYellow {
  border-radius: 0px;
  background-color: #EFA545;
}

.imgAccueilSection{
  display: flex;
  max-width: 100%;
  height: 100%;
  display: block;
}

.imgDiv {
  display: flex;
  height: 250px;
  justify-content: center;
}

/* ... end  */

/* Accueil Section Réservation ... */
.banner {
  background-image: url("../../public/bannerimg.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 8% 0 5% auto;
  padding: 3%;
}

.banner-text {
  font-weight: bolder;
  font-size: larger;
  color: rgb(255, 255, 255);
  background-color: rgba(0, 0, 0, 0.778);
  width: 80%;
  height: auto;
  padding: 3%;
}

.banner h2 {
  margin: 0;
  padding-bottom: 2%;
  text-align: center;
}

.buttonDivBanner{
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 3% 0 0 auto;
}

.buttonBanner{
  border-radius: 0px;
}

.bannerImg {
  background-image: url("/public/bannerimg.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* ... end */


/* Section de la page Circuit ... */

.divTextCircuitPage{
  display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2%;
    text-align: center;

}

.paraCircuitPage{
  width: 55%;
}


.divContenaireCircuit{
  display: "flex";
  flex-direction:"column";
  justify-content: "center";
  background-color:#80808012;
}

.sectionCircuit {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 30px;
  width: 70%;
  height: auto;
  margin: 3% auto 0 auto;
}

.sectionCircuit h2 {
  margin: 0;
  color: rgb(0, 0, 0);
  text-align: center;
  margin-bottom: 3%;
}
.sectionCircuit p {
  color: black;
  margin-right: 15px;
}

.sectionCircuit img {
  display: flex;
  max-width: 100%;
  height: 100%;
  display: block;
}

.circuitSectionBackground {
  background-color:#80808012;
}

/* ... end */

/* Page Animal */
.divTextAnimalPage{
  display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2%;
    text-align: center;
}

.paraAnimalPage{
  width: 55%;
}

.divContainerCardAnimal{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 3%;
}

/* .. end */

/* Card Animal style ... */

.card {
  width: 420px;
  height: 500px;
  border-radius: 20px;
  overflow: hidden;
  position: relative;
  margin: 10% auto 0% auto;
  
}

.card-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
}

.card-body {
  width: 100%;
  height: 100%;
  top: 0;
  right: -85%;
  position: absolute;
  backdrop-filter: blur(5px);
  border-radius: 15px;
  color: #fff;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: 1s;
  background-color: #00000080;
}

.card:hover .card-body {
  right: 0;
}

.card-title {
  writing-mode: vertical-rl;
  text-orientation: upright;
  text-transform: uppercase;
  font-size: 40px;
  font-weight: 500;
  text-align: center;
}

.card-info {
  font-size: 20px;
  padding: 1%;
  font-weight: 400;
  text-align: center;
  width: inherit;
}

/* ... end */

/* Page Réservation ... */

.resaFormStyle{
 display: flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;
 height: 100%;
 padding: 5%;
}

.formChoice{
  width: fit-content;
  margin: 3%;
  padding: 1%;
  border: solid 1px black;
  background-color: #f8f9fb;
}

.sectiontextResa{
  display: flex;
  flex-direction: column;
  padding: 2%;
  text-align: center;
}

.buttonContainer{
  display: flex;
    justify-content: center;
}

/* Page Register ... */
.divContainerRegister {
  display: flex;
  flex-direction: column;
  margin: 3%;
}
.CardBodyRegister{
  display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: auto;
    margin-top: 20px;
    padding: O 24px;
    background-color:#80808012;
}

.divContainerRegister h1 {
  text-align: center;
  margin: 2%;
}

.h2Register {
  text-align: center;
  padding-bottom: 4%;
}
/* ... end */




/* page d'accueil du compte */

.accountContainer{
  display: flex;
}

.accountBody{
  display: flex;
  flex-direction: column;
  margin: 2%;
}

.cardBodyAccount{
  width: 300px;
  background-color: #80808012;
  word-wrap: break-word;
}

.accountTitle{
  text-align: center;
}

.ant-card-body{
  padding: 1%;
}

/* ... end */

/* Page Historique ... */

.historiqueBody {
  display: flex;
  
}

.containerHistory{
  display: flex;
  flex-direction: column;
  margin: 2%;
  text-align: center;
}

.historiqueContainerCard {
  display: flex;
  flex-direction: row;

}

.historiqueCard {
  display: flex;
  flex-wrap: wrap;
  padding: "2%";

}

.rgpdLink{
  display: flex;
    text-align: center;
    justify-content: center;
}

/* ...end */

/* Carte de réservation de historique ... */

.resaCard{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1% 1%;
  width: 250px;
  height: 150px;
background-color: #80808012;
}

/* ..end */

.accountContainerInfo{
  display: flex;
}

.accountInfoBody{
  display: flex;
  flex-direction: column;
  margin: 1%;
}

.InfoCard{
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 250px;
  height: auto;
  box-sizing: border-box;
  background-color: #80808012;
}

.buttonEditStyle{
  margin: 5% auto;
  background-color: #EFA545;
}


/* Footer ...*/

.footerContenaire {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #BB523A;
  height: 30vh;
}

.imgFooter{
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 80px;
}

.footerDivText {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-top: 5%;
}

/* ...end */

@media screen and (max-width: 700px) {
  .sectionAccueil {
    flex-direction: column;
    justify-content: center;
    width: auto;
  }
  .imgDiv {
    width: 100%;
  }
}
@media screen and (max-width: 700px) {
  .sectionCircuit {
    flex-direction: column;
    justify-content: center;
    width: auto;
  }
}

@media screen and (max-width: 700px) 
{
  .historiqueCard{
    flex-direction: column;
  }
}


